%define url_ver	%(echo %{version}|cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from    %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	A places plugin for the Xfce panel
Name: 		xfce4-places-plugin
Version: 	1.6.0
%define subrel	1
Release: 	%mkrel 4
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# From upstream git:
# http://git.xfce.org/panel-plugins/xfce4-places-plugin/commit/?id=d60ff39e
Patch0:		xfce4-places-plugin-1.6.0-Use-the-new-Gtk+3.0-bookmarks-location.patch
# http://git.xfce.org/panel-plugins/xfce4-places-plugin/commit/?id=4e0cf7a8
Patch1:		xfce4-places-plugin-1.6.0-Sort-recent-documents-by-most-recently-used.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(exo-1)
Requires:	xfce4-panel

%description
A places plugin for the Xfce panel.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std 

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS NEWS
%{_bindir}/xfce4-popup-places
%{_libdir}/xfce4/panel/plugins/libplaces.so
%{_datadir}/xfce4/panel/plugins/places.desktop


%changelog
* Sun Jul 12 2015 wally <wally> 1.6.0-4.1.mga5
+ Revision: 853370
- add patch from upstream git to sort recent documents by most recently used (xfce#11148)
- add patch from upstream git to use the new Gtk+3.0 bookmarks file with fallback to the legacy one (mga#16352)

* Tue Mar 03 2015 wally <wally> 1.6.0-4.mga5
+ Revision: 817453
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 740790
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 wally <wally> 1.6.0-1.mga4
+ Revision: 559919
- new version 1.6.0

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-3.mga4
+ Revision: 520546
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 386860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 1.5.0-1.mga3
+ Revision: 299052
- new version 1.5.0
- drop upstream applied patch
- exclude plugin .so from provides

* Sat Sep 01 2012 wally <wally> 1.4.0-2.mga3
+ Revision: 286866
- add a patch from upstream bugzilla to use xdg icons (xfce#9253)

* Tue Aug 28 2012 wally <wally> 1.4.0-1.mga3
+ Revision: 284834
- new version 1.4.0

* Tue May 29 2012 wally <wally> 1.3.0-1.mga3
+ Revision: 249350
- new version 1.3.0
- clean .spec

  + ahmad <ahmad>
    - imported package xfce4-places-plugin

